[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Finalize

Finalize (clean up) memory block using RTTI

## Declaration

Source position: system.fpd line 97

`procedure Finalize(`
`var T: TAnyType;`
`ACount: SizeInt = 1`
`);`

## Description

Finalize is a compiler intrinsic: it cleans up (finalizes) a memory area T for any kind of managed variable. Finalizing means decreasing reference counts where necessary and generally zeroing out the memory area. It performs the opposite operation of initialize.

The optional ACount parameter can be used to finalize an array of values.

For examples, see initialize.

## See also

initialize |  | Initialize memory block using RTTI
Default |  | Return Default initialized value
TypeInfo |  | Return pointer to type information for type